Api referenceTopicPublicationDomains

Get a publication domain (Preview)

Preview · Available to selected organizations. Rechecks ownership and certificate status, returning DNS verification records. Domains outside this topic's organization or namespace return 404.

GET
/v1/topics/{id}/publication/domains/{hostname}

Rechecks ownership and certificate status, returning DNS verification records. Domains outside this topic's organization or namespace return 404.

x-api-key<token>

In: header

Path Parameters

id*string
Match^unsub_[0-9a-hjkmnp-tv-z]{16,24}$
hostname*string
Match^(?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?\.)+[a-z](?:[a-z0-9-]{0,61}[a-z0-9])?$
Lengthlength <= 253

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/topics/string/publication/domains/string"
{  "organizationId": "string",  "topicId": "string",  "hostname": "string",  "canonicalHostname": "string",  "phase": "pending",  "active": true,  "hostnameStatus": "string",  "sslStatus": "string",  "cname": {    "type": "CNAME",    "name": "string",    "value": "string"  },  "verificationRecords": [    {      "type": "CNAME",      "name": "string",      "value": "string"    }  ],  "verificationErrors": [    "string"  ]}